> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.claw-ops.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.claw-ops.com/_mcp/server.

# SIP 라우트 추가 (외부 PBX 다이얼 타겟)

POST https://api.claw-ops.com/v1/accounts/{accountId}/sip-endpoints/{endpointId}/routes
Content-Type: application/json

Reference: https://docs.claw-ops.com/api-레퍼런스/claw-ops-api/sip-trunks/create-sip-origination-route

## Authentication

- `Authorization` header (bearer token, required) — API Key를 Bearer 토큰으로 전달

## Request

### Path parameters

- `accountId` (string, required)
- `endpointId` (string, required)

### Body (application/json)

- `uri` (string, required) — sip:host[:port] 또는 sips:host[:port]
- `priority` (integer, optional, default: 10)
- `weight` (integer, optional, default: 100)
- `transport` (enum, optional, default: udp)
  - Allowed values: `udp`, `tls`

## Response

### 201

생성 성공

- `id` (string, optional) — route id
- `endpointId` (string, optional) — 소속 SipEndpoint id
- `uri` (string, optional) — SIP URI (sip:host[:port] 또는 sips:host[:port])
- `priority` (integer, optional) — 낮을수록 우선. 같은 priority 끼리는 weight 로 분배.
- `weight` (integer, optional) — 같은 priority 내 가중치
- `transport` (enum, optional)
  - Allowed values: `udp`, `tls`
- `status` (enum, optional)
  - Allowed values: `active`, `disabled`
- `lastUsedAt` (datetime, optional, nullable)
- `lastFailureAt` (datetime, optional, nullable)
- `failureCount` (integer, optional)
- `dateCreated` (datetime, optional)
- `dateUpdated` (datetime, optional)

## Examples

**Request**

```json
{
  "uri": "sip:pbx-primary.acme.com:5060"
}
```

**Response**

```json
{
  "id": "string",
  "endpointId": "string",
  "uri": "sip:pbx.acme.com:5060",
  "priority": 10,
  "weight": 100,
  "transport": "udp",
  "status": "active",
  "lastUsedAt": "2024-01-15T09:30:00Z",
  "lastFailureAt": "2024-01-15T09:30:00Z",
  "failureCount": 0,
  "dateCreated": "2024-01-15T09:30:00Z",
  "dateUpdated": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes"

payload = { "uri": "sip:pbx-primary.acme.com:5060" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"uri":"sip:pbx-primary.acme.com:5060"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes"

	payload := strings.NewReader("{\n  \"uri\": \"sip:pbx-primary.acme.com:5060\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"uri\": \"sip:pbx-primary.acme.com:5060\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"uri\": \"sip:pbx-primary.acme.com:5060\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes', [
  'body' => '{
  "uri": "sip:pbx-primary.acme.com:5060"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"uri\": \"sip:pbx-primary.acme.com:5060\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["uri": "sip:pbx-primary.acme.com:5060"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/sip-endpoints/SE1a2b3c4d/routes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```